Subject: Re: bug#49424: 27.2; Misdocumented default initialisation file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Jul 2021 22:10:21 +0300

> Date: Thu, 8 Jul 2021 19:22:59 +0100 (BST)
> From: Peter Oliver <[email-masked]>
> cc: Robert Pluim <[email-masked]>, [email-masked], [email-masked]
> 
> > Deleting that would be a step back, since it was added for a reason,
> > see the discussions about that.  Specifically, we don't want to repeat
> > the whole long description of how and where does Emacs find the init
> > file every time we mention the init file.
> 
> Perhaos, elsewhere in the documentation, instead of saying “~/.emacs”, we could say “the initialization file”, accompanied by a link to this description of where it can be found.

I'd suggest to audit all the places where this could be relevant,
before proposing a solution.  For example, if some text tells the user
"put this-and-that Lisp in your ~/.emacs file", a reference to a
description how Emacs looks for the init file will only confuse.